//////////////////////////////////////////////////////////////////////
// Mainz Rolling Brains RoboCup agents developed for the Simulator 
// League of the RoboCup 2000 competition
//
// Copyright (C) 1998, 1999, 2000 Team Members 
// of the Mainz Rolling Brains RoboCup Team 
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
//
// $Id: mytrace.h,v 1.2 2000/10/19 15:27:46 goetz Exp $
//
//////////////////////////////////////////////////////////////////////


#ifndef _MYTRACE_H_
#define _MYTRACE_H_
#ifdef DEBUG

#define TRACEVAR(var) \
cout << __FILE__ << " " << __LINE__ << ": " << #var << " = " << var << endl
#define TRACE(str) \
cout << __FILE__ << " " << __LINE__ << ": " << str << endl

#define VALUETRACE(value) cout << #value << " = " << value << endl

#else

#define TRACEVAR(var)
#define TRACE(str)

#define VALUETRACE(value)

#endif


#endif /* _MYTRACE_H_ */
